Subject: Re: windows
From: [email-masked] (Keresztfalvi Gábor 97b)

30 Sep 1997 12:58:42 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: =?ISO-8859-2?Q?Keresztfalvi_G=E1bor_97b?= <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: [email-masked]

On 30 Sep 1997 [email-masked] wrote:

> hi! I've recently downloaded r18 but I came up with a problem with
> MS windows programs, such as this tiny one:
> 
> #include <windows.h>
> int WINAPI WinMain(HINSTANCE hInstance,
>                    HINSTANCE hPrevInstance,
>                    LPSTR lpCmdLine, int nCmdShow)
> {
>         MessageBox(NULL,
>           "TEST"
>           "You can exit now", MB_OK|MB_ICONASTERISK);
>         return(0);
> }
> 
> First of all, I didn't know where to find the library with MessageBox().
> After a grep, I find it in libglaux.a; ok, I linked it with the program.
> It compiles ok, butwhen executing windowsasks me glaux.dll; I've tried
> to build it, but itseems it doesn't work.
> I need some help :)
> 
> .al

Hi!
 I don't remember exactly, but you should link to your program the
libuser32.a library. 
I hope this will help.

				Keresztg

+-----------------------------------------------------------------------------+
| Keresztfalvi Gabor			         Budapesti Piarista Gimnazium |
| Web Page: http://www.piar.hu/~keresztg/	 			      |
| E-Mail: [email-masked]				:-)	      |
|         [email-masked]             Budapesti Muszaki Egyetem    |
+---------- This message was transmitted on 100% recycled electrons ----------+

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".